Subject: Re: [PATCH v3 03/15] clk: scmi: Use new determine_rate clock operation

From: Cristian Marussi <[email-masked]>
Date: Tue, 28 Apr 2026 23:20:57 +0100

On Tue, Apr 28, 2026 at 04:33:38PM -0400, Brian Masney wrote:
> Hi Cristian,
> 
> On Tue, Apr 28, 2026 at 09:15:10PM +0100, Cristian Marussi wrote:
> > Use the Clock protocol layer determine_rate logic to calculate the closest
> > rate that can be supported by a specific clock.
> > 
> > No functional change.
> > 
> > Cc: Brian Masney <[email-masked]>
> > Cc: Michael Turquette <[email-masked]>
> > Cc: Stephen Boyd <[email-masked]>
> > Cc: [email-masked]
> > Signed-off-by: Cristian Marussi <[email-masked]>
> > ---
> > @brian: I'd modify further this clk-scmi driver, with a patch on top of
> > this series, to properly use your new CLK_ROUNDING_NOOP flag once your
> > series AND another (already reviewed) series on clk-scmi from Peng are in.

Hi Brian,

> 
> I don't know if Stephen is going to pick up my CLK_ROUNDING_NOOP series.
> We talked about it in person at LPC in Tokyo, and he was the one that
> suggested the flag rather than a new shared noop function. However he
> didn't pick it up last development cycle.
> 
> I would recommend NOT basing on that series of mine to reduce
> dependencies, and so that your stuff doesn't get held up by series.
> 

Ok, thanks for the heads up, I was indeed not able to find the _NOOP in
v7.1-rc1 and I was NOT sure...anyway a patch on top of this whenever
your series goes in should not be a problem....maybe if you can ping me
when it's merged, it would be easy NOT to miss/forget :P

Thanks,
Cristian